/* GLOBAL */
.ios {
    text-shadow: 0 -1px rgba(0, 0, 0, 0.4);
    -webkit-tap-highlight-color: transparent; user-select: none;
}

/* BUTTON */
button.ios {
    padding: 8px;
    outline: none;
    overflow: hidden;
    background: none;
    cursor: pointer; transition: 0.15s;
    border: none; border-radius: 5px;
    display: flex; align-items: center; justify-content: center;
    color: white; font-size: 12px; font-weight: 700;
}

/* ICON BUTTON */
.ios.icon-button {
    border-radius: 100%; border: 2px solid white;
    position: relative; padding: 0; aspect-ratio: 1/1;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.4), 0 2px 3px rgba(0, 0, 0, 0.4);
}
.ios.icon-button::before {
    content: "";
    transition: 0.15s;
    height: 50%; width: 100%;
    bottom: 0; left: 50%;
    position: absolute;
    transform: translateX(-50%);
    pointer-events: none;
    border-radius: 100%;
}
.ios.icon-button div {
    z-index: 1;
    width: 20px; height: 20px;
    background: url("../icons/icon-button.png");
    background-repeat: no-repeat; background-size: cover;
}

.ios.icon-button[variant="primary"] { background: #5C95E2 } .ios.icon-button[variant="primary"]:active { background: #3F70A9 }
.ios.icon-button[variant="primary"]::before { background: #2470D8 } .ios.icon-button[variant="primary"]:active::before { background: #1B54A2 }

.ios.icon-button[variant="success"] { background: #50B14E } .ios.icon-button[variant="success"]:active { background: #3C843B }
.ios.icon-button[variant="success"]::before { background: #048F01 } .ios.icon-button[variant="success"]:active::before { background: #036B01 }

.ios.icon-button[variant="danger"] { background: #D25D66 } .ios.icon-button[variant="danger"]:active { background: #9E464D }
.ios.icon-button[variant="danger"]::before { background: #BD1421 } .ios.icon-button[variant="danger"]:active::before { background: #8E0F19 }
.ios.icon-button div[variant="plus"] { background-position-x: -40px; }
.ios.icon-button div[variant="minus"] { background-position-x: -20px; }

/* STATUS BAR */
.ios.status-bar {
    background-color: #466184;
    padding: 0 4px;
    display: grid; align-items: center; grid-template-columns: repeat(3, 1fr);
}
.ios.status-bar * {
    color: white; font-size: 14px; font-weight: 700; text-shadow: none;
}
.ios.status-bar > * {
    opacity: 0.75;
    display: flex; align-items: center; gap: 4px;
}
.ios.status-clock { justify-self: center; }
.ios.network-carrier { text-align: center; }
.ios.status-right { justify-self: right; }
.ios.wifi-bars, .ios.data-bars, .ios.battery-bars {
    width: 20px; height: 20px;
    background-repeat: no-repeat; background-size: cover;
}
.ios.wifi-bars { background-image: url("../icons/wifi-bars.png"); }
.ios.wifi-bars[variant="wifi-1"] { background-position-x: -20px; }
.ios.wifi-bars[variant="wifi-2"] { background-position-x: -40px; }
.ios.wifi-bars[variant="wifi-3"] { background-position-x: -60px; }

.ios.data-bars { background-image: url("../icons/data-bars.png"); }
.ios.data-bars[variant="data-1"] { background-position-x: -20px; }
.ios.data-bars[variant="data-2"] { background-position-x: -40px; }
.ios.data-bars[variant="data-3"] { background-position-x: -60px; }
.ios.data-bars[variant="data-4"] { background-position-x: -80px; }
.ios.data-bars[variant="data-5"] { background-position-x: -100px; }

.ios.battery-bars { background-image: url("../icons/battery-bars.png"); }
.ios.battery-bars[variant="battery-2"] { background-position-x: -20px; }
.ios.battery-bars[variant="battery-3"] { background-position-x: -40px; }

.ios.status-bar[variant="dark"] { background-color: black; }

/* NAVIGATION BAR */
.ios.nav-bar {
    min-height: 36px;
    padding: 8px; gap: 8px;
    display: grid; align-items: center; grid-template-columns: repeat(3, 1fr);
    background: linear-gradient(to bottom, #C1D1E4, #A1B2C9 33%, #758CAB 67%, #557094);
    box-shadow: inset 0 0.5px rgba(255, 255, 255, 0.6), 0 1px rgba(255, 255, 255, 0.3), inset 0 -1px rgba(0, 0, 0, 0.1), 0 1px 2px rgba(0, 0, 0, 0.3);
}
.ios.nav-bar .ios.nav-bar-button { justify-self: start; }
.ios.nav-bar .ios.nav-bar-button:last-child { justify-self: end; }
.ios.nav-bar-title {
    grid-column: 2;
    justify-self: center; text-align: center;
    color: white; font-size: 20px; font-weight: 700; text-wrap: nowrap;
}
.ios.nav-bar-prompt {
    color: #2B3E5A;
    font-size: 14px;
    text-align: center;
    grid-column: span 3;
    padding-bottom: 12px;
    text-shadow: 0 1px rgba(255, 255, 255, 0.4);
}
.ios.nav-bar-button {
    gap: 4px;
    max-height: 29px;
    background: linear-gradient(to bottom, #A2B2C9, #798EAC 33%, #506D94 67%, #405F8A);
    box-shadow: inset 0 0 1px black, inset 0 1px 0.5px rgba(0, 0, 0, 0.4), 0 0.5px 0.5px rgba(255, 255, 255, 0.4);
}
.ios.nav-bar-button img {
    max-width: 20px;
    transform: translateY(-1px);
}
.ios.nav-bar-button:active { background: linear-gradient(to bottom, #8499B5, #687E9F 33%, #4D688D 67%, #3E5B82); }
.ios.nav-bar-button[variant="primary"] { background: linear-gradient(to bottom, #93B5F6, #6790E1 33%, #3C71DA 67%, #2562D9); }
.ios.nav-bar-button[variant="danger"] { background: linear-gradient(to bottom, #DB8B92, #C3626A 33%, #B2303B 67%, #B01A27); }
.ios.nav-bar-button:active { background: linear-gradient(to bottom, #8499B5, #687E9F 33%, #4D688D 67%, #3E5B82); }
.ios.nav-bar-button[variant="primary"]:active { background: linear-gradient(to bottom, #7899D5, #5279C4 33%, #315FBD 67%, #2454B9); }
.ios.nav-bar-button[variant="danger"]:active { background: linear-gradient(to bottom, #B96F77, #A94C55 33%, #962630 67%, #941723); }

/* NAVIGATION SEGMENT CONTROL */
.ios.nav-segment-control {
    grid-column: 2;
    justify-self: center;
    position: relative;
    overflow: hidden;
    display: flex; justify-content: center; gap: 1px;
    border-radius: 5px;
    background: #2B4464;
    box-shadow: 0 0.5px 0.5px rgba(255, 255, 255, 0.4);
}
.ios.nav-segment-control::after {
    inset: 0; content: "";
    position: absolute; pointer-events: none;
    border-radius: inherit;
    box-shadow: inset 0 0 1px black, inset 0 1px 0.5px rgba(0, 0, 0, 0.4);
}
.ios.nav-segment-control button.ios {
    flex: 1;
    min-width: 54px;
    border-radius: 0; box-shadow: none;
    background: linear-gradient(to bottom, #B1C1D5, #91A3BB 33%, #728AA9 67%, #607DA0);
}
.ios.nav-segment-control .ios.nav-bar-button.active { background: linear-gradient(to bottom, #A2B2C9, #798EAC 33%, #506D94 67%, #405F8A); }
.ios.nav-segment-control .ios.nav-bar-button:active { background: linear-gradient(to bottom, #B1C1D5, #91A3BB 33%, #728AA9 67%, #607DA0); }
.ios.nav-segment-control .ios.nav-bar-button.active:active { background: linear-gradient(to bottom, #A2B2C9, #798EAC 33%, #506D94 67%, #405F8A); }

/* NAVIGATION SEARCH BAR */
.ios.nav-search-bar {
    grid-column: span 2;
    gap: 4px; padding: 6px; 
    display: flex; align-items: center;
    background: white;
    box-shadow: inset 0 2px 3px rgba(0, 0, 0, 0.5);
    border: 1px solid #526D8E; border-radius: 500px;
}
.ios.nav-bar:has(.ios.nav-search-bar) { grid-template-columns: 1fr auto; } 
.ios.nav-search-bar-input {
    min-width: 0;
    font-size: 16px; text-shadow: none; 
    outline: none; border: none; background: none; flex: 1;
} 
.ios.nav-search-bar-icon {
    width: 20px; height: 20px;
    background-image: url("../icons/search-bar.png");
    background-repeat: no-repeat; background-size: cover;
} .ios.nav-search-bar-icon[variant="clear"] {
    cursor: pointer;
    background-position-x: -20px;
} .ios.nav-search-bar-input:placeholder-shown + .ios.nav-search-bar-icon[variant="clear"] {
    display: none;
}

/* SWITCH */
.ios.switch {
    width: 77px; height: 27px;
    align-self: center;
    position: relative;
}
.ios.switch input { opacity: 0; width: 0; height: 0; }
.ios.switch-track, .ios.switch-knob, .ios.switch-label { position: absolute; transition: 0.2s; }
.ios.switch-track {
    inset: 0;
    cursor: pointer;
    overflow: hidden;
    background: #EEE;
    border-radius: 999px;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.6);
}
.ios.switch-track::before {
    content: "";
    height: 50%; width: 85%;
    bottom: 0; left: 50%;
    position: absolute;
    transform: translateX(-50%);
    pointer-events: none;
    border-radius: 999px;
    background: linear-gradient(to bottom, #FFFFFF0d, #ffffff80);
}
.ios.switch-knob {
    top: 0.5px; left: 0.5px;
    width: 26px; height: 26px;
    border-radius: 50%;
    border: 0.5px solid #717171;
    background: linear-gradient(to bottom, #C4C4C4, white);
    box-shadow: inset 0 1.5px rgba(255, 255, 255, 0.6), inset 0 0 0 1px rgba(255, 255, 255, 0.6), 0 0 1px 1px rgba(0, 0, 0, 0.2);
}
.ios.switch-label {
    font-size: 16px;
    text-shadow: none;
    text-align: center;
    color: transparent;
    top: 50%; left: 25px; width: 50px;
    transform: translateY(-50%);
    background: linear-gradient(to bottom, #777 55%, #BBB 55%); background-clip: text;
    -webkit-background-clip: text;
}
input:checked + .ios.switch-track { background: #007FEA; }
input:checked + .ios.switch-track .ios.switch-knob { transform: translateX(50px); }
input:checked + .ios.switch-track .ios.switch-label { left: 5px; color: #fff; text-shadow: 0 -1px 0 #00000066; }

/* ACTION SLIDER */
.ios.action-slider {
    padding: 12px;
    width: 100%;
    background: linear-gradient(rgba(255, 255, 255, 0.35), rgba(255, 255, 255, 0.1) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.05) 100%), black;
    box-shadow: inset 0 1px rgba(0, 0, 0, 0.9), inset 0 2px rgba(255, 255, 255, 0.2), 0 -2px 2px rgba(0, 0, 0, 0.2);
}
.ios.action-slider-track {
    padding: 4px;
    border-radius: 12px;
    border: 1px solid #737374;
    display: flex; align-items: center;
    background: linear-gradient(to bottom, #070808, #292929);
}
.ios.action-slider-thumb {
    cursor: grab;
    z-index: 2;
    padding: 12px;
    overflow: hidden;
    position: relative;
    border-radius: 10px;
    max-width: 58px;
    touch-action: none;
    display: flex; align-items: center; justify-content: center;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.6);
    background: linear-gradient(to bottom, #ECECEC, #A2A2A2);
    transition: transform 0.25s cubic-bezier(0.22, 1, 0.36, 1);
}
.ios.action-slider-thumb.dragging { cursor: grabbing; transition: none; }
.ios.action-slider-thumb::after {
    content: "";
    top: 0; left: 0;
    position: absolute;
    pointer-events: none;
    height: 50%; width: 100%;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.25));
}
.ios.action-slider-thumb img { max-width: 32px; }
.ios.action-slider-label {
    flex: 1;
    font-size: clamp(18px, 4vw, 21px);
    text-align: center;
    text-shadow: none;
    color: transparent;
    background: linear-gradient( 60deg, #555 25%, #fff 40%, #fff 50%, #fff 60%, #555 75%);
    background-size: 300% 100%; background-position: 300% 0; background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: ios-action-label-shine 5s ease-in-out infinite;
}

@keyframes ios-action-label-shine { 0% { background-position: 300% 0; } 50% { background-position: 0% 0; } 100% { background-position: -300% 0; }}

/* SLIDER */
.ios.slider {
    width: 100%;
    height: 10px;
    margin: 6px 0;
    border-radius: 500px;
    -webkit-appearance: none;
    box-shadow: inset 0 0 2px black;
    --value: 0%; background: linear-gradient(#2E59A8 0%, #6D9FE8 100%) 0/var(--value) 100% no-repeat, linear-gradient(#B8B8B8 0%, white 100%);
}
.ios.slider::-webkit-slider-thumb {
    transition: transform 0.1s ease-out;
    width: 21px; height: 21px;
    cursor: pointer;
    border-radius: 100%;
    -webkit-appearance: none; appearance: none;
    background: linear-gradient(to bottom, #A6A6A6, #FCFCFC);
    box-shadow: inset 0 2px 1px #ffffff66, 0 2px 2px black, 0 0 1px black;
}
.ios.slider:active::-webkit-slider-thumb {
    transform: scale(1.3);
    box-shadow: inset 0 2px 1px #ffffff66, 0 2px 2px black, 0 0 1px black, 0 0 6px 2px rgba(0,0,0,0.3);
}

/* ALERT VIEW */
.ios.alert {
    z-index: 0;
    padding: 8px;
    overflow: hidden;
    position: relative;
    color: white; text-align: center;
    display: flex; flex-direction: column; justify-content: center; gap: 8px;
    background: #091843;
    border-radius: 10px;
    border: 2px solid rgba(255, 255, 255, 0.7);
    box-shadow: 0 0 0.5px 1px rgba(0, 0, 0, 0.4), 0 4px 5px rgba(0, 0, 0, 0.5);
}
.ios.alert::before {
    content: "";
    z-index: -1;
    height: 28px;
    pointer-events: none;
    top: 0; left: 0; right: 0;
    position: absolute;
    border-radius: 0 0 50% 50%;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0.1));
}
.ios.alert-title { font-size: 18px; font-weight: 700; }
.ios.alert-stacked { display: flex; gap: 8px; }
.ios.alert-button {
    font-size: 18px;
    flex: 1;
    background-color: #091843;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.24) 50%, rgba(255, 255, 255, 0.06) 50%, rgba(255, 255, 255, 0.12) 100%);
    box-shadow: 0 0.5px 0.5px rgba(255, 255, 255, 0.2), 0 0 0 1px rgba(0, 0, 0, 0.4);
}
.ios.alert-button:active { background-color: #06102b; }
.ios.alert-stacked[variant="true"] { flex-direction: column; }
.ios.alert-stacked[variant="true"] button:last-child { margin-top: 8px; }
.ios.alert-button[variant="primary"] { background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.36) 50%, rgba(255, 255, 255, 0.24) 50%, rgba(255, 255, 255, 0.36) 100%); }

/* ACTION SHEET */
.ios.action-sheet {
    padding: 16px;
    display: flex; flex-direction: column; gap: 16px;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.4)  0%,  transparent 25%);
    box-shadow: inset 0 0.5px rgba(255, 255, 255, 0.6), inset 0 1px rgba(255, 255, 255, 0.4), 0 -1px rgba(0, 0, 0, 0.4), 0 -2px 2px rgba(0, 0, 0, 0.2);
}
.ios.action-button {
    font-size: 20px;
    border-radius: 12px;
    box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.1), 0 0 0 3px rgba(0, 0, 0, 0.4);
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.35), transparent 70%, rgba(255, 255, 255, 0.1) 100%);
}
.ios.action-sheet[variant="neutral"] { background-color: #4D515A; }
.ios.action-sheet[variant="dark"], .ios.action-button[variant="dark"] { background-color: #111111; }
.ios.action-button[variant="dark"]:active { background-color: black; }
.ios.action-button[variant="light"] { background-color: #C2C3C5; color: black; text-shadow: 0 1.5px rgba(255, 255, 255, 0.8); }
.ios.action-button[variant="light"]:active { background-color: #8F9195; }
.ios.action-button[variant="danger"] { background-color: #D40C0D; }
.ios.action-button[variant="danger"]:active { background-color: #9A0809; }
.ios.action-button[variant="neutral"] { background-color: #2B3038; }
.ios.action-button[variant="neutral"]:active { background-color: #1D2026; }

/* LIST */
.ios.list-section-title {
    color: white;
    font-size: 18px; font-weight: 700;
    text-shadow: 0 1px rgba(0, 0, 0, 0.4);
    display: flex; justify-content: space-between;
    padding: 4px 8px;
    background: linear-gradient(to bottom, #93A3AD, #C0C9D1);
    box-shadow: inset 0 1px rgba(0, 0, 0, 0.15), inset 0 -1px rgba(0, 0, 0, 0.15), inset 0 2px rgba(255, 255, 255, 0.25);
}
.ios.list-section {
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    display: flex; flex-direction: column; gap: 1px;
    background-color: #D9D9D9;
    box-shadow: 0 0.5px 0.5px rgba(255, 255, 255, 0.8);
}
.ios.list-section::after {
    inset: 0; content: "";
    position: absolute; pointer-events: none;
    border-radius: inherit;
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.2), inset 0 1px 1px 1px rgba(0, 0, 0, 0.1), 0 0.5px 0.5px rgba(255, 255, 255, 0.8);
}

.ios.list-section-row {
    background: #F7F7F7;
    box-shadow: inset 0 1px rgba(255, 255, 255, 0.8);
}
.ios.list-section-row > * { padding: 8px; }

/* LIST DRILLER */
.ios.list-driller { display: flex; cursor: pointer; justify-content: space-between; }
.ios.list-driller > * { display: flex; align-items: center; gap: 8px; }
.ios.list-driller * { font-size: 17px; text-shadow: none; font-weight: 700; }
.ios.driller-left-icon { max-width: 29px; }
.ios.driller-right p { color: #385487; font-weight: 400; }
.ios.driller-right-icon { max-width: 10px; }

/* LIST SLIDER */
.ios.list-slider { display: flex; align-items: center; gap: 8px; }
.ios.list-slider-icon {
    width: 30px; height: 30px;
    background-repeat: no-repeat; background-size: cover;
}
.ios.list-slider-icon[variant="volume"] { background-image: url("../icons/volume.png"); }
:last-child.ios.list-slider-icon[variant="volume"] { background-position-x: -37px; }
.ios.list-slider-icon[variant="brightness"] { background-image: url("../icons/brightness.png"); }
:last-child.ios.list-slider-icon[variant="brightness"] { background-position-x: -33px; }

/* TIME PICKER */
.ios.time-picker-bg {
    width: 100%;
    padding: 8px;
    display: flex; justify-content: center;
    background: var(--sheen), #20212f;
    box-shadow: inset 0 1px rgba(0, 0, 0, 0.6), inset 0 1.5px rgba(255, 255, 255, 0.4), inset 0 2px rgba(255, 255, 255, 0.2);
    --sheen: linear-gradient(rgba(255, 255, 255, 0.35), rgba(255, 255, 255, 0.1) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.05));
}
.ios.time-picker {
    --row-h: 44px;
    --rows-visible: 5;
    display: flex;
    padding: 0 1px;
    position: relative;
    height: calc(var(--row-h) * var(--rows-visible));
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 1px 0.5px #ffffff66;
}
.ios.time-picker::before,
.ios.time-picker::after {
    content: "";
    position: absolute;
    left: 0; right: 0;
    z-index: 1;
    pointer-events: none;
}
.ios.time-picker::before {
    inset: 0;
    box-shadow: inset 0 15px 10px -10px rgba(0, 0, 0, 0.6), inset 0 50px 30px -30px rgba(0, 0, 0, 0.4), inset 0 -15px 10px -10px rgba(0, 0, 0, 0.6), inset 0 -50px 30px -30px rgba(0, 0, 0, 0.4);
}
.ios.time-picker::after {
    height: calc(var(--row-h));
    top: calc(50% - var(--row-h) / 2);
    background: var(--sheen), #555c9980;
    --sheen: linear-gradient(rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.2) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.2));
    box-shadow: inset 0 0.5px rgba(0, 0, 0, 0.1), inset 0 1px rgba(0, 0, 0, 0.6), inset 0 2px rgba(255, 255, 255, 0.1), inset 0 -1px rgba(0, 0, 0, 0.3), 0 3px 5px rgba(0, 0, 0, 0.3);
}
.ios.time-column {
    display: flex; flex-direction: column;
    width: 60px;
    background: white;
    padding: calc((var(--row-h) * var(--rows-visible) - var(--row-h)) / 2) 8px;
    color: black;
    font-size: 25px; font-weight: 700;
    text-align: center; text-shadow: none;
    overflow-y: scroll;
    scrollbar-width: none;
    scroll-snap-type: y mandatory;
    box-shadow: inset 1px 0 black, inset 4px 0 #C8CADC, inset -1px 0 black, inset -4px 0 #C8CADC;
}
.ios.time-column::-webkit-scrollbar { display: none; }
.ios.time-column p { line-height: var(--row-h); scroll-snap-align: center; }
.ios.time-column.minute { width: 50px; }
.ios.time-column.ampm { font-size: 20px; }

/* KEYBOARD */
.ios.keyboard {
    padding: 4px;
    padding-top: 12px;
    width: fit-content;
    align-self: center;
    display: flex; flex-direction: column; gap: 16px;
    background: linear-gradient(to bottom, #9199a7, #454e5b);
    box-shadow: inset 0 1.5px 0 #ffffff80, 0 -1px 1px rgba(0, 0, 0, 0.1), inset 0 1.5px rgba(255, 255, 255, 0.2);
}
.ios.keyboard[variant="dark"] { background: linear-gradient(to bottom, #4B4B4B, black); }
.ios.key-row { display: flex; justify-content: space-between; gap: 6px; }
.ios.key-row:last-child p { font-size: 16px; }
.ios.key {
    display: flex; align-items: center;
    height: 38px; min-width: 26px;
    cursor: pointer;
    border-radius: 4px;
    color: black;
    font-size: 22px; font-weight: 700;
    text-shadow: 0 1px #ffffff80;
    background: linear-gradient(to bottom, #ffffff33 0%, #00000033 100%), white;
    box-shadow: 0 1.5px 2px black;
}
.ios.key p { flex: 1; text-align: center; }
.ios.key[variant~="special"] {
    color: white; padding: 0 4px;
    text-shadow: 0 -1.5px #00000080;
    box-shadow: inset 0 1px 1px #ffffff80, 0 1.5px 2px black;
    background: linear-gradient(to bottom, #ffffff33 0%, #00000033 100%), #555d6a;
}
.ios.keyboard[variant="dark"] .ios.key[variant~="special"] { background: linear-gradient(to bottom, #ffffff33 0%, #00000033 100%), #555555; }
.ios.key-icon {
    width: 30px; height: 30px;
    background-image: url("../icons/keyboard.png");
    background-repeat: no-repeat; background-size: cover;
}
.ios.key[variant~="backspace"] .ios.key-icon { background-position-x: -60px }
.ios.key[variant~="lang"] .ios.key-icon { background-position-x: -90px }
.ios.key[variant~="uppercase"] .ios.key-icon { background-position-x: -30px }

.ios.asd-spacer { flex: 1; }
.ios.key[variant~="return"] { flex: 0.5; }
.ios.key[variant~="space"] { flex: 1; color: #555e67; }
.ios.key:active { background: linear-gradient(to bottom, #00000033 0%, #ffffff33 100%), white; }
.ios.key[variant~="special"]:active { background: linear-gradient(to bottom, #00000033 0%, #ffffff33 100%), #555d6a; }
.ios.keyboard[variant="dark"] .ios.key[variant~="special"]:active { background: linear-gradient(to bottom, #00000033 0%, #ffffff33 100%), #555555; }
.ios.keyboard[variant="dark"] .ios.key[variant~="space"] { color: #555555; }

/* NUMERIC PAD */
.ios.num-pad {
    width: fit-content;
    align-self: center;
    display: grid; grid-template-columns: repeat(3, 1fr); gap: 1px;
    background: #404040;
    font-weight: 700;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.7);
}
.ios.num-key {
    padding: 5px;
    min-width: 106px; min-height: 53px;
    cursor: pointer;
    display: flex; align-items: center; flex-direction: column; justify-content: center;
    box-shadow: inset 0 1px 0 #ffffff66;
    background: linear-gradient(to bottom, #6e7582 0%, #4e5563 100%);
}
.ios.num-key p:nth-child(1) { color: white; font-size: 28px; }
.ios.num-key p:nth-child(2) { color: #d9dbdd; font-size: 12px; letter-spacing: 2px; }
.ios.num-key-icon {
    width: 30px; height: 30px;
    background-image: url("../icons/num-pad.png");
    background-repeat: no-repeat; background-size: cover;
}
.ios.num-key[variant~="symbols"] .ios.num-key-icon { background-position-x: -30px; width: 60px; }
.ios.num-key:active { background: linear-gradient(to bottom, #4e5563 0%, #6e7582 100%); }
.ios.num-key[variant~="special"] { background: linear-gradient(to bottom, #dfe0e3 0%, #b3b7be 100%); }
.ios.num-key[variant~="special"]:active { background: linear-gradient(to bottom, #b3b7be 0%, #dfe0e3 100%); }